FreeBSD : OpenVPN -- out-of-bounds write in legacy key-method 1 (3dd6ccf4-a3c6-11e7-a52e-0800279f2ff8)

Medium Nessus Plugin ID 103523


The remote FreeBSD host is missing one or more security-related updates.


Steffan Karger reports :

The bounds check in read_key() was performed after using the value, instead of before. If 'key-method 1' is used, this allowed an attacker to send a malformed packet to trigger a stack-based buffer overflow. [...]

Note that 'key-method 1' has been replaced by 'key method 2' as the default in OpenVPN 2.0 (released on 2005-04-17), and explicitly deprecated in 2.4 and marked for removal in 2.5. This should limit the amount of users impacted by this issue.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 103523

File Name: freebsd_pkg_3dd6ccf4a3c611e7a52e0800279f2ff8.nasl

Version: $Revision: 3.6 $

Type: local

Published: 2017/09/28

Modified: 2018/02/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:openvpn, p-cpe:/a:freebsd:freebsd:openvpn-mbedtls, p-cpe:/a:freebsd:freebsd:openvpn-polarssl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/09/27

Vulnerability Publication Date: 2017/09/21

Reference Information

CVE: CVE-2017-12166

IAVA: 2017-A-0285